
Redmine - Defect #23377

Don't show "status" field when creating a new version

2016-07-19 19:18 - Tobias Fischer

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: 3.4.0   
Description

When creating a new version from within the issue form field with the modal dialogue, the "status" option should be hidden.

It makes no sense to set this newly created version to "closed" or "locked" because then, it isn't selectable from the isuee form field.

Defect duplicate of Feature #21416 as Feature request don't get ANY attention by the Redmine team.

And in fact, this one here could also be called a bug instead of a feature...

Related issues:

Has duplicate Redmine - Feature #21416: Hide "status" field from new version ... Closed

Associated revisions

Revision 15784 - 2016-08-31 19:26 - Jean-Philippe Lang

Don't show "status" field when creating a new version (#23377).

History

#1 - 2016-07-20 16:45 - Jake Kemme

I agree, this option makes no sense here.

A quick fix for your instance, if this is causing user issues would be to hide it via CSS

Add to your theme application.css:

/* Hide version status selection in version create dialog */

.ui-dialog .new_version p:nth-child(3) {

    display: none;

}

#2 - 2016-07-21 10:48 - Tobias Fischer

Hi Jake,

thanks for the smooth workaround. Werks very well!

#3 - 2016-07-25 01:55 - Marius BĂLTEANU

- File do_not_show_status_field_on_new_version_form.patch added

I made a patch that fixes/implements this without CSS.

The patch passes all the tests and adds two new assertions:

1. new version form doesn't contains the status field

2. edit version form contains the status field.

#4 - 2016-07-25 02:03 - Marius BĂLTEANU

Tobias Fischer wrote:

When creating a new version from within the issue form field with the modal dialogue, the "status" option should be hidden.

It makes no sense to set this newly created version to "closed" or "locked" because then, it isn't selectable from the isuee form field.

 In my opinion it makes no sense in all pages from where you can add new versions, not only in the modal dialogue. I think there are very few cases
when you want to add a locked/closed version.

#5 - 2016-07-25 08:20 - Go MAEDA

- Target version set to 3.4.0

Marius BALTEANU wrote:

In my opinion it makes no sense in all pages from where you can add new versions, not only in the modal dialogue. I think there are very few

cases when you want to add a locked/closed version.

 I agree with you.

Thanks for the patch. It looks good to me.

Setting target version to 3.4.0.

#6 - 2016-07-25 09:41 - Tobias Fischer

Marius BALTEANU wrote:

In my opinion it makes no sense in all pages from where you can add new versions, not only in the modal dialogue. I think there are very few

cases when you want to add a locked/closed version.

 Yeah, totally agree with you! :)

Thanks for the patch! Looking forward to see this implemented!

#7 - 2016-08-18 06:10 - Toshi MARUYAMA

- Has duplicate Feature #21416: Hide "status" field from new version form when it is called from modal dialogue from the issue form added

#8 - 2016-08-31 19:27 - Jean-Philippe Lang

- Subject changed from "status" field should not be displayed when "new version" form is displayed as modal dialogue from the issue form to Don't

show "status" field when creating a new version

- Category changed from Issues to Roadmap

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

Files

do_not_show_status_field_on_new_version_form.patch 2.29 KB 2016-07-24 Marius BĂLTEANU
